Package org.linphone.core

# Enum Class RemoteContactDirectory.Type

java.lang.Object
java.lang.Enum<RemoteContactDirectory.Type>
org.linphone.core.RemoteContactDirectory.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<RemoteContactDirectory.Type>`, `Constable`

Enclosing interface:
  `RemoteContactDirectory`

public static enum RemoteContactDirectory.Type extends Enum<RemoteContactDirectory.Type>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CardDav`
Remote contact directory will use `CardDavParams`.
`Ldap`
Remote contact directory will use `LdapParams`.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static RemoteContactDirectory.Type`
`fromInt(int value)`
`int`
`toInt()`
`static RemoteContactDirectory.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RemoteContactDirectory.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CardDav

public static final RemoteContactDirectory.Type CardDav
Remote contact directory will use `CardDavParams`.

### Ldap

public static final RemoteContactDirectory.Type Ldap
Remote contact directory will use `LdapParams`.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static RemoteContactDirectory.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RemoteContactDirectory.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static RemoteContactDirectory.Type fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()